OGRE: Ogre::DefaultShadowCameraSetup Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::DefaultShadowCameraSetup Class Reference
Core | Component » Scene

Implements default shadow camera setup. More...

`#include <OgreShadowCameraSetup.h>`

Inheritance diagram for Ogre::DefaultShadowCameraSetup:
[legend]

## Public Member Functions
| DefaultShadowCameraSetup ()
| Default constructor. More...
virtual | ~DefaultShadowCameraSetup ()
| Destructor. More...
Real | getMaxDistance () const
Real | getMinDistance () const
virtual void | getShadowCamera (const SceneManager *sm, const Camera *cam, const Light *light, Camera *texCam, size_t iteration, const Vector2 &viewportRealSize) const
| Default shadow camera setup. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Detailed Description

Implements default shadow camera setup.

Remarks
  This implements the default shadow camera setup algorithm. This is what might be referred to as "normal" shadow mapping.

## Constructor & Destructor Documentation

## ◆ DefaultShadowCameraSetup()

Ogre::DefaultShadowCameraSetup::DefaultShadowCameraSetup | ( |  | ) |

Default constructor.

## ◆ ~DefaultShadowCameraSetup()

virtual Ogre::DefaultShadowCameraSetup::~DefaultShadowCameraSetup | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getMaxDistance()

Real Ogre::ShadowCameraSetup::getMaxDistance | ( |  | ) | const
| inlineinherited

## ◆ getMinDistance()

Real Ogre::ShadowCameraSetup::getMinDistance | ( |  | ) | const
| inlineinherited

## ◆ getShadowCamera()

virtual void Ogre::DefaultShadowCameraSetup::getShadowCamera | ( | const SceneManager * | sm,
|  | const Camera * | cam,
|  | const Light * | light,
|  | Camera * | texCam,
|  | size_t | iteration,
|  | const Vector2 & | viewportRealSize
| ) |  | const
| virtual

Default shadow camera setup.

Implements Ogre::ShadowCameraSetup.

Reimplemented in Ogre::FocusedShadowCameraSetup, Ogre::ConcentricShadowCamera, and Ogre::PSSMShadowCameraSetup.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreShadowCameraSetup.h